# std::basic_string_view<CharT,Traits>::max_size

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr size_type max_size() const noexcept; |  | (since C++17)

The largest possible number of char-like objects that can be referred to by a `basic_string_view`.

### Parameters

(none)

### Return value

Maximum number of characters.

### Complexity

Constant.

### See also

sizelength | returns the number of characters (public member function)
empty | checks whether the view is empty (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/max_size&oldid=105472"